
%define		module	jabber

Summary:	"jabber.py" Python module for Jabber applications
Summary(pl.UTF-8):	Moduły Pythona "jabber.py" dla aplikacji Jabber
Name:		python-%{module}
Version:	0.5
Release:	5
License:	GPL
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/jabberpy/jabberpy-%{version}-0.tar.gz
# Source0-md5:	cbb9a1126bdc39ff49af605fb55c282e
URL:		http://jabberpy.sourceforge.net/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
jabber.py is a Python module for the Jabber instant messaging
protocol. jabber.py deals with the XML parsing and socket code,
leaving the programmer to concentrate on developing quality Jabber
based applications with Python.

%description -l pl.UTF-8
jabber.py to moduł Pythona do protokołu komunikatora Jabber. jabber.py
obsługuje analizowanie XML-a i gniazda, pozwalając programiście
skoncentrować się na tworzeniu w Pythonie wysokiej jakości aplikacji
opartych na Jabberze.

%prep
%setup -q -n jabberpy-%{version}-0

%build
# next version can contain __init__.py, so check if this workaround is
# still required, please
# see also:
# http://sourceforge.net/tracker/index.php?func=detail&aid=897527&group_id=30215&atid=398567
echo 'from jabber import *' > jabber/__init__.py
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/jabber/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README
%{py_sitescriptdir}/jabber
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-jabber.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9921938
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 200f7e1
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> fc66994
- BR: rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c7d864b
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8534ffb
- release 3

* Fri Aug 10 2007 shadzik <shadzik@pld-linux.org> 9427acd
- rel 2

* Fri Aug 10 2007 shadzik <shadzik@pld-linux.org> acc1cf9
- 0.5 final

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ab68cf3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6c8e8a2
- converted to UTF-8

* Fri Dec 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 11ccbfe
- rel .3

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> ed96518
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> a31af55
- capitalization, tabs, other cosmetics

* Sun Apr 25 2004 leafnode <leafnode@pld-linux.org> 94def1b
- create __init__ before build

* Thu Apr 01 2004 wrobell <wrobell@pld-linux.org> d542ace
- import jabber.jabber into jabber package namespace
- rel. 1.rc6.2

* Thu Apr 01 2004 wrobell <wrobell@pld-linux.org> a931fb8
- ver. 0.5-rc6, rel 1.rc6.1
- shorter and better lack of __init__.py handling
  http://sourceforge.net/tracker/index.php?func=detail&aid=897527&group_id=30215&atid=398567

* Sat Feb 28 2004 djurban <djurban@pld-linux.org> 33825c7
- add missing init_py file

* Sat Feb 28 2004 djurban <djurban@pld-linux.org> cb048f7
- fixed broken build, someone check it before rel++

* Mon Feb 23 2004 ankry <ankry@pld-linux.org> ab2c4b1
- pl fixes, cosmetics

* Mon Jan 19 2004 Jacek Konieczny <jajcus@pld-linux.org> bb93445
- 
- Release: .2
- new architecture-independent python modules paths

* Mon Nov 10 2003 leafnode <leafnode@pld-linux.org> b584558
- updated to 0.5 pre1

